// var TUI_VERSION = getCookie('talend_ui_version') || '6.0.0-alpha.10';

function addScripts(urls) {
	urls.forEach(function (url) {
		var script = document.createElement('script');
		script.setAttribute('src', url);
		script.async = false;
		document.head.appendChild(script);
	});
}

function addStyles(urls) {
	urls.forEach(function (url) {
		var style = document.createElement('link');
		style.setAttribute('rel', 'stylesheet');
		style.setAttribute('href', url);
		document.body.appendChild(style);
	});
}
function getCookie(name) {
	return document.cookie.split('; ').reduce((r, v) => {
		var parts = v.split('=');
		return parts[0] === name ? decodeURIComponent(parts[1]) : r;
	}, '');
}

function getInfo(url) {
	return url.split('/').reduce((acc, value) => {
		if (value === '@talend' && acc.scope !== '@talend') {
			acc.scope = value;
			return acc;
		}
		if (acc.scope) {
			if (!acc.name) {
				acc.name = value;
				return acc;
			}
			if (!acc.version) {
				acc.version = value;
				return acc;
			}
			acc.path += `/${value}`;
			return acc;
		}
		return acc;
	}, {});
}

// try to update deps from cookie variable
window.jsFiles = window.jsFiles.map(function onJSFile(projectJS) {
	var info = getInfo(projectJS);
	if (info.name){
		// try to update the version
		var newVersion = getCookie(`talend_${info.name}_version`);
		if (newVersion) {
			return projectJS.replace(info.version, newVersion);
		}
		return projectJS;
	}
	return projectJS;
});

addScripts(window.jsFiles || []);
